Index: gcc/testsuite/gcc.dg/vect/vect-104.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-104.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-104.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -64,7 +64,7 @@
 }
 
 /* { dg-final { scan-tree-dump-times "vectorized 1 loops" 0 "vect" } } */
-/* { dg-final { scan-tree-dump-times "possible dependence between data-refs" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "possible dependence between data-refs" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "possible dependence between data-refs" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
 
Index: gcc/testsuite/ChangeLog
===================================================================
--- gcc/testsuite/ChangeLog	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/ChangeLog	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,3 +1,371 @@
+2012-12-20  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/54818
+	* gfortran.dg/transfer_intrinsic_4.f: New.
+
+2012-12-18  Matthew Gretton-Dann  <matthew.gretton-dann@linaro.org>
+
+	Backport from mainline
+	2012-10-15  Matthias Klose  <doko@ubuntu.com>
+
+	* lib/target-supports.exp (check_profiling_available): Match
+	arm*-*-linux-* for ARM Linux/GNU.
+	* g++.dg/torture/predcom-1.C: Match arm*-*-linux-* for ARM Linux/GNU.
+	* gfortran.dg/enum_10.f90: Likewise.
+	* gfortran.dg/enum_9.f90: Likewise.
+	* gcc.target/arm/synchronize.c: Likewise.
+	* g++.old-deja/g++.jason/enum6.C: Likewise.
+	* g++.old-deja/g++.other/enum4.C: Likewise.
+	* g++.old-deja/g++.law/enum9.C: Likewise.
+
+2012-12-15  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/53766
+	* gnat.dg/controlled7.ad[sb]: New test.
+
+2012-12-11  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/55643
+	* g++.dg/warn/Wunused-var-19.C: New test.
+
+2012-12-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gcc.dg/pr54121.c: New test.
+
+2012-12-07  Uros Bizjak  <ubizjak@gmail.com>
+
+	Backport from mainline
+	2012-12-06  Uros Bizjak  <ubizjak@gmail.com>
+
+	PR target/55597
+	* gcc.target/i386/pr55597.c: New test.
+
+2012-12-03  Richard Biener  <rguenther@suse.de>
+
+	Backport from mainline
+	2012-09-24  Richard Guenther  <rguenther@suse.de>
+
+	PR tree-optimization/53663
+	* gcc.dg/torture/pr53663-1.c: New testcase.
+	* gcc.dg/torture/pr53663-2.c: Likewise.
+	* gcc.dg/torture/pr53663-3.c: Likewise.
+
+2012-12-03  Marek Polacek  <polacek@redhat.com>
+
+	Backported from mainline
+	2012-12-03  Marek Polacek  <polacek@redhat.com>
+
+	PR c/55570
+	* gcc.dg/pr55570.c: New test.
+
+2012-12-01  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>
+
+	* gcc.dg/torture/pr54920.c: Add "-fno-common" option on hppa*-*-hpux*.
+
+2012-11-29  Jason Merrill  <jason@redhat.com>
+
+	PR c++/53862
+	* g++.dg/cpp0x/variadic134.C: New.
+
+	PR c++/53858
+	* g++.dg/cpp0x/alias-decl-20.C: New.
+
+	PR c++/50852
+	* g++.dg/template/typedef39.C: New.
+
+	PR c++/53039
+	* g++.dg/cpp0x/variadic133.C: New.
+	* g++.dg/template/param1.C: Adjust.
+
+2012-11-27  Richard Biener  <rguenther@suse.de>
+
+	PR middle-end/55331
+	* g++.dg/opt/pr55331.C: New testcase.
+
+2012-11-26  Richard Biener  <rguenther@suse.de>
+
+	Backport from mainline
+	2012-10-12  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/54894
+	* gcc.dg/torture/pr54894.c: New testcase.
+
+	2012-10-02  Richard Guenther  <rguenther@suse.de>
+
+	PR middle-end/54735
+	* g++.dg/torture/pr54735.C: New testcase.
+
+2012-11-24  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/55446
+	* g++.dg/init/new41.C: New.
+
+2012-11-24  Thomas Koenig  <tkoenig@gcc.gnu.org>
+
+	PR fortran/55314
+	Backport from trunk
+	* gfortran.dg/allocate_error_4.f90:  New test.
+
+2012-11-23  Janus Weil  <janus@gcc.gnu.org>
+
+	PR fortran/55352
+	* gfortran.dg/namelist_76.f90: New.
+
+2012-11-19  H.J. Lu  <hongjiu.lu@intel.com>
+
+	Backported from mainline
+	2012-11-13  H.J. Lu  <hongjiu.lu@intel.com>
+
+	PR middle-end/55142
+	* gcc.target/i386/pr55142-1.c: New file.
+	* gcc.target/i386/pr55142-2.c: Likewise.
+
+2012-11-09  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/stack_check3.ad[sb]: New test.
+
+2012-11-07  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gcc.c-torture/compile/20121107-1.c: New test.
+
+2012-11-06  Janus Weil  <janus@gcc.gnu.org>
+
+	PR fortran/54917
+	* gfortran.dg/transfer_class_1.f90: New.
+
+2012-11-05  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* g++.dg/torture/20121105-1.C: New test.
+
+2012-11-05  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from mainline
+	2012-10-24  Jakub Jelinek  <jakub@redhat.com>
+
+	PR debug/54828
+	* g++.dg/debug/pr54828.C: New test.
+
+	2012-10-23  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/54988
+	* c-c++-common/pr54988.c: New test.
+
+	2012-10-10  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/54877
+	* gcc.dg/torture/pr54877.c: New test.
+
+2012-11-02  Jeff Law  <law@redhat.com>
+
+	* gcc.c-torture/execute/pr54985.c: New test.
+
+2012-10-29  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/53517
+	* gnat.dg/lto14.adb: Skip on Solaris.
+
+2012-10-26  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/54984
+	* g++.dg/template/new11.C: New.
+
+2012-10-26  Terry Guo  <terry.guo@arm.com>
+
+	Backport from mainline
+	2012-10-23  Terry Guo  <terry.guo@arm.com>
+
+	PR target/55019
+	* gcc.dg/pr55019.c: New.
+
+2012-10-25  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/54902
+	* g++.dg/torture/pr54902.C: New testcase.
+
+2012-10-22  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/modular4.adb: New test.
+	* gnat.dg/modular4_pkg.ads: New helper.
+
+2012-10-21  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/specs/atomic1.ads: XFAIL on MIPS.
+	* gnat.dg/specs/addr1.ads: Likewise.
+
+2012-10-19  Zhenqiang Chen <zhenqiang.chen@linaro.org>
+
+	Backport from mainline
+	2012-10-19  Zhenqiang Chen <zhenqiang.chen@linaro.org>
+
+	PR target/54892
+	* gcc.target/arm/pr54892.c: New.
+
+2012-10-16  Andrey Belevantsev  <abel@ispras.ru>
+
+	Backport from mainline
+	2012-08-09  Andrey Belevantsev  <abel@ispras.ru>
+
+	PR rtl-optimization/53701
+	* gcc.dg/pr53701.c: New test.
+
+2012-10-15  Uros Bizjak  <ubizjak@gmail.com>
+
+	Backport from mainline
+	2012-10-15  Uros Bizjak  <ubizjak@gmail.com>
+
+	* gcc.target/i386/avx256-unaligned-load-1.c: Update asm scan patterns.
+	* gcc.target/i386/avx256-unaligned-load-2.c: Ditto.
+	* gcc.target/i386/avx256-unaligned-load-3.c: Ditto.
+	* gcc.target/i386/avx256-unaligned-load-4.c: Ditto.
+	* gcc.target/i386/avx256-unaligned-store-1.c: Ditto.
+	* gcc.target/i386/avx256-unaligned-store-2.c: Ditto.
+	* gcc.target/i386/avx256-unaligned-store-3.c: Ditto.
+	* gcc.target/i386/avx256-unaligned-store-4.c: Ditto.
+
+2012-10-15  Richard Guenther  <rguenther@suse.de>
+
+	PR tree-optimization/54920
+	* gcc.dg/torture/pr54920.c: New testcase.
+
+2012-10-14  Janus Weil  <janus@gcc.gnu.org>
+
+	PR fortran/54784
+	* gfortran.dg/class_allocate_13.f90: New.
+
+2012-10-08  Terry Guo  <terry.guo@arm.com>
+
+	Backported from mainline
+	2012-09-19  Terry Guo  <terry.guo@arm.com>
+
+	* lib/gcc-dg.exp (dg_runtest_extra_prunes): New variable to define
+	extra prune rules that will be applied to all tests in a .exp file.
+	(gcc-dg-prune): Use rules defined by the above variable.
+	* gcc.target/arm/arm.exp (dg_runtest_extra_prunes): Skip all the
+	harmless warnings on architecture switch conflict.
+
+2012-10-08  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/54858
+	* g++.dg/template/pr54858.C: New test.
+
+2012-10-05  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/33763
+	* c-c++-common/pr33763.c: New test.
+
+2012-10-03  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/54777
+	* g++.dg/cpp0x/constexpr-ref4.C: New test.
+
+2012-09-30  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>
+
+	PR target/54083
+	* gcc.dg/torture/pr53922.c: Skip on 32-bit hppa-*-hpux*.
+
+2012-09-27  Jakub Jelinek  <jakub@redhat.com>
+
+	PR target/54703
+	* gcc.target/i386/pr54703.c: New test.
+
+2012-09-24  Janis Johnson  <janisjo@codesourcery.com>
+
+	Backport from mainline:
+
+	2012-07-24  Janis Johnson  <janisjo@codesourcery.com>
+	* lib/gcc-dg.exp (process-message): Don't ignore errors.
+
+	2012-07-25  Janis Johnson  <janisjo@codesourcery.com>
+	* g++.dg/cpp0x/nullptr21.c: Remove printfs, make self-checking.
+
+	2012-07-26  Janis Johnson  <janisjo@codesourcery.com>
+	* gcc.dg/pr45259.c: Only -fpic depends on fpic support.
+
+	2012-09-18  Janis Johnson  <janisjo@codesourcery.com>
+	* gcc.dg/vect/pr52298.c: Remove "dg-do run".
+
+	2012-09-18  Janis Johnson  <janisjo@codesourcery.com>
+	* lib/target-supports.exp
+	(check_effective_target_vect_widen_mult_qi_to_hi,
+	check_effective_target_vect_widen_mult_hi_to_si,
+	check_effective_target_vect_widen_mult_qi_to_hi_pattern,
+	check_effective_target_vect_widen_mult_hi_to_si_pattern,
+	check_effective_target_vect_pack_trunc,
+	check_effective_target_vect_unpack,
+	check_effective_target_vect_multiple_sizes): Check arm_neon_ok
+	instead of arm_none.
+
+	2012-09-18  Janis Johnson  <janisjo@codesourcery.com>
+	* gcc.dg/vect/no-vfa-vect-101.c: Skip a check for an irrelevant
+	target instead of xfailing it.
+	* gcc.dg/vect/no-vfa-vect-102.c: Likewise.
+	* gcc.dg/vect/no-vfa-vect-102a.c: Likewise.
+	* gcc.dg/vect/no-vfa-vect-37.c: Likewise.
+	* gcc.dg/vect/no-vfa-vect-79.c: Likewise.
+	* gcc.dg/vect/vect-104.c: Likewise.
+	* gcc.dg/vect/vect-outer-1-big-array.c: Likewise.
+	* gcc.dg/vect/vect-outer-1.c: Likewise.
+	* gcc.dg/vect/vect-outer-1a-big-array.c: Likewise.
+	* gcc.dg/vect/vect-outer-1a.c: Likewise.
+	* gcc.dg/vect/vect-outer-1b-big-array.c: Likewise.
+	* gcc.dg/vect/vect-outer-1b.c: Likewise.
+	* gcc.dg/vect/vect-outer-2b.c: Likewise.
+	* gcc.dg/vect/vect-outer-3a-big-array.c: Likewise.
+	* gcc.dg/vect/vect-outer-3a.c: Likewise.
+	* gcc.dg/vect/vect-outer-3b.c: Likewise.
+	* gcc.dg/vect/vect-reduc-dot-s8b.c: Likewise.
+
+	2012-09-18  Janis Johnson  <janisjo@codesourcery.com>
+	* gcc.dg/vect/fast-math-pr35982.c: Skip check instead of xfail.
+
+2012-09-22  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>
+
+	Backport from mainline:
+	2012-09-16  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>
+
+	PR testsuite/54007
+	* gnat.dg/lto15.adb: Require lto.
+
+2012-09-20  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/opt20.ads: Move dg directive to...
+	* gnat.dg/opt20.adb: ...here.
+	* gnat.dg/addr1.ad[sb]: Likewise.
+	* gnat.dg/concat2.ad[sb]: Likewise.
+	* gnat.dg/array16.ad[sb]: Likewise.
+	* gnat.dg/atomic5.ad[sb]: Likewise.
+	* gnat.dg/discr29.ad[sb]: Likewise.
+	* gnat.dg/noreturn5.ad[sb]: Likewise.
+	* gnat.dg/vect8.ad[sb]: Likewise.  Add dg-options.
+	* gnat.dg/discr23.ads: Remove dg directive.
+	* gnat.dg/nested_float_packed.ads: Likewise.
+	* gnat.dg/oconst6.ads: Move to...
+	* gnat.dg/specs/oconst6.ads: ...here.
+
+2012-09-20  Joseph Myers  <joseph@codesourcery.com>
+
+	PR c/54552
+	* gcc.c-torture/compile/pr54552-1.c: New test.
+
+2012-09-20  Joseph Myers  <joseph@codesourcery.com>
+
+	PR c/54103
+	* gcc.c-torture/compile/pr54103-1.c,
+	gcc.c-torture/compile/pr54103-2.c,
+	gcc.c-torture/compile/pr54103-3.c,
+	gcc.c-torture/compile/pr54103-4.c,
+	gcc.c-torture/compile/pr54103-5.c,
+	gcc.c-torture/compile/pr54103-6.c: New tests.
+	* gcc.dg/c90-const-expr-8.c: Update expected column number.
+
+2012-09-20  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from mainline
+	2012-09-17  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/54563
+	* g++.dg/torture/pr54563.C: New test.
+
 2012-09-20  Release Manager
 
 	* GCC 4.7.2 released.
Index: gcc/testsuite/g++.dg/debug/pr54828.C
===================================================================
--- gcc/testsuite/g++.dg/debug/pr54828.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/debug/pr54828.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,14 @@
+// PR debug/54828
+// { dg-do compile }
+// { dg-options "-g" }
+
+struct T { T (); virtual ~T (); };
+struct S : public virtual T { S (); virtual ~S (); };
+int v;
+void foo (char *);
+
+S::S ()
+{
+  char s[v];
+  foo (s);
+}
Index: gcc/testsuite/g++.dg/opt/pr55331.C
===================================================================
--- gcc/testsuite/g++.dg/opt/pr55331.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/opt/pr55331.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,14 @@
+// PR tree-optimization/55331
+// { dg-do compile }
+// { dg-options "-O2 -fno-tree-fre" }
+
+struct A {};
+
+void
+foo (A *p, bool x)
+{
+  A a;
+  char *e = (char *) (&a + 1);
+  if (x)
+    __builtin_memmove (p, &a, e - (char *) &a);
+}
Index: gcc/testsuite/g++.dg/abi/anon1.C
===================================================================
--- gcc/testsuite/g++.dg/abi/anon1.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/abi/anon1.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,5 @@
+// PR c++/54883
+
+namespace { enum E { E1 }; } void f(E e) { }
+
+// { dg-final { scan-assembler-not "globl" } }
Index: gcc/testsuite/g++.dg/init/new41.C
===================================================================
--- gcc/testsuite/g++.dg/init/new41.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/init/new41.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,22 @@
+// PR c++/55446
+// { dg-do run }
+
+struct S
+{
+  S() { }
+};
+
+int n = 1;
+
+void* operator new[](__SIZE_TYPE__)
+{
+  n = -1;
+  return &n;
+}
+
+int main()
+{
+  new S[0];
+  if (n != -1)
+    __builtin_abort();
+}
Index: gcc/testsuite/g++.dg/other/abstract3.C
===================================================================
--- gcc/testsuite/g++.dg/other/abstract3.C	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/g++.dg/other/abstract3.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -8,5 +8,5 @@
 struct B
 {
   A a;           // { dg-error "abstract" }
-  B() : a() {}   // { dg-error "abstract" }
+  B() : a() {}
 };
Index: gcc/testsuite/g++.dg/warn/Wunused-var-19.C
===================================================================
--- gcc/testsuite/g++.dg/warn/Wunused-var-19.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/warn/Wunused-var-19.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,26 @@
+// PR c++/55643
+// { dg-do compile }
+// { dg-options "-std=c++11 -Wunused" }
+
+enum class E { e = 123 };
+
+int
+foo ()
+{
+  E x = E::e;
+  return (double) x;
+}
+
+int
+bar ()
+{
+  E x = E::e;
+  return (long double) x;
+}
+
+int
+baz ()
+{
+  E x = E::e;
+  return (float) x;
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this6.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this6.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this6.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,32 @@
+// PR c++/53137
+// { dg-options -std=c++11 }
+
+template <typename STORE>
+void getParent(STORE& tStore)
+{
+}
+
+struct  Store
+{
+    template <typename CheckParentFunc>
+    void updateChildCommon(CheckParentFunc c)
+    {
+        c();
+    }
+
+    template <typename T>
+    int& getStore();
+
+    template <typename T>
+    void updateChild(const T& obj)
+    {
+        updateChildCommon([this] () { getParent(getStore<T>()); });
+    }
+
+    void update(int obj);
+};
+
+void Store::update(int obj)
+{
+    updateChild(obj);
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-initlist2.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-initlist2.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-initlist2.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,27 @@
+// PR c++/54947
+// { dg-options -std=gnu++11 }
+
+struct X
+{
+  template<typename L>
+    X(L)
+    { }
+};
+
+template<typename A>
+  void
+  test()
+  {
+    int i = 0;
+
+    A a_ok_1( [=] { return i; } );  // OK
+    A a_ok_2( [i] { return i; } );  // OK
+
+    A a_err_1{ [i] { return i; } };  // error
+    A a_err_2{ [=] { return i; } };  // error
+  }
+
+int main()
+{
+  test<X>();
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-conv6.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-conv6.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-conv6.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,7 @@
+// PR c++/55015
+// { dg-do link }
+// { dg-options -std=c++11 }
+
+typedef void (*VoidFunc)();
+inline VoidFunc GetFunc() { return [](){}; }
+int main() { VoidFunc func = GetFunc(); }
Index: gcc/testsuite/g++.dg/cpp0x/alias-decl-20.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/alias-decl-20.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/alias-decl-20.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,9 @@
+// PR c++/53858
+// { dg-do compile { target c++11 } }
+
+template <typename T>  struct s0 { typedef  T  tdef0; };
+template <typename T>  struct s1 { typedef  T  tdef1; };
+template <typename T>  using us1 = typename s1<T>::tdef1;
+template <typename  T, typename  TT = typename  us1<T>::tdef0>  struct s2 {};
+
+int main () { return 0; }
Index: gcc/testsuite/g++.dg/cpp0x/fntmpdefarg4.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/fntmpdefarg4.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/fntmpdefarg4.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,6 @@
+// PR c++/55724
+// { dg-options -std=c++11 }
+
+template<int N> struct S {};
+template<typename T = int, T N> void f(S<N>) {}
+int main() { S<1> s; f(s); }
Index: gcc/testsuite/g++.dg/cpp0x/nullptr21.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/nullptr21.C	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/g++.dg/cpp0x/nullptr21.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -3,42 +3,53 @@
 
 // Test throw and catch
 
-#include <cstdio>
+extern "C" void abort (void);
 
 typedef decltype(nullptr) nullptr_t;
 
+int result[2];
+
+void __attribute__((noinline))
+foo (int i, int j)
+{
+  result[i] = j;
+}
+
 int main()
 {
   try {
     throw nullptr;
   } catch (void*) {
-    printf("Test 1 Fail");
+    foo (0, 1);
   } catch (bool) {
-    printf("Test 1 Fail");
+    foo (0, 2);
   } catch (int) {
-    printf("Test 1 Fail");
+    foo (0, 3);
   } catch (long int) {
-    printf("Test 1 Fail");
+    foo (0, 4);
   } catch (nullptr_t) {
-    printf("Test 1 OK");
+    foo (0, 5);
   } catch (...) {
-    printf("Test 1 Fail");
-  }  // { dg-output "Test 1 OK" }
+    foo (0, 6);
+  }
 
   nullptr_t mynull = 0;
   try {
     throw mynull;
   } catch (void*) {
-    printf("Test 2 Fail");
+    foo (1, 1);
   } catch (bool) {
-    printf("Test 2 Fail");
+    foo (1, 2);
   } catch (int) {
-    printf("Test 2 Fail");
+    foo (1, 3);
   } catch (long int) {
-    printf("Test 2 Fail");
+    foo (1, 4);
   } catch (nullptr_t) {
-    printf("Test 2 OK");
+    foo (1, 5);
   } catch (...) {
-    printf("Test 2 Fail");
-  }  // { dg-output "Test 2 OK" }
+    foo (1, 6);
+  }
+
+  if (result[0] != 5 || result[1] != 5)
+    abort ();
 }
Index: gcc/testsuite/g++.dg/cpp0x/constexpr-initlist6.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/constexpr-initlist6.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/constexpr-initlist6.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,27 @@
+// PR c++/55419
+// { dg-options -std=c++11 }
+
+struct P
+{
+  P () = default;
+  explicit constexpr P (int x) : p (x) {}
+  int p;
+};
+
+struct Q
+{
+  constexpr Q () : q (0x7f) {}
+  int q;
+};
+
+struct R
+{
+  Q q;
+  P p;
+};
+
+void
+foo (R *x)
+{
+  *x = {};
+}
Index: gcc/testsuite/g++.dg/cpp0x/constexpr-ref4.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/constexpr-ref4.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/constexpr-ref4.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,18 @@
+// PR c++/54777
+// { dg-options -std=c++0x }
+
+struct S
+{
+  int s[1];
+  constexpr const int &foo (unsigned i) { return (i < 1 ? 0 : throw 1), s[i]; }
+  constexpr const int &bar (unsigned i) { return i < 1 ? s[i] : (throw 0, s[i]); }
+};
+
+int
+main ()
+{
+  constexpr S a {};
+  constexpr int i = a.foo (0);
+  constexpr int j = a.bar (0);
+  static_assert (i == j, "Ouch");
+}
Index: gcc/testsuite/g++.dg/cpp0x/variadic133.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/variadic133.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/variadic133.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,46 @@
+// PR c++/53039
+// { dg-do compile { target c++11 } }
+
+template <class, class>
+struct is_convertible
+{
+  static const bool value = true;
+};
+
+template<bool, class T>
+struct enable_if
+{
+  typedef T type;
+};
+
+template <bool...>
+struct Xs
+{
+  static const bool value = true;
+};
+
+template<typename... BTs>
+  class BType
+    {
+      template <typename... BUs,
+        typename enable_if<
+               Xs<is_convertible<BUs, BTs>::value...>::value,
+               bool>::type = false>
+        void fooX(BUs&&...);
+    };
+
+template <typename... ATs>
+  struct AType
+    {
+      template <typename... AUs,
+    typename enable_if<
+               Xs<is_convertible<AUs, ATs>::value...>::value,
+               bool>::type = false>
+        void foo(AUs&&...);
+    };
+
+int main()
+{
+  AType<int, int> t;
+  t.foo(1, 1);
+}
Index: gcc/testsuite/g++.dg/cpp0x/variadic134.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/variadic134.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/variadic134.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,17 @@
+// PR c++/53862
+// { dg-do compile { target c++11 } }
+
+typedef unsigned long size_t;
+
+template<typename> struct is_scalar { static const bool value = true; };
+template<bool, typename T> struct enable_if { typedef T type; };
+
+template <size_t N, typename... Args>
+void f(Args...) {}
+
+template <size_t N, typename T, typename... Args>
+typename enable_if<is_scalar<T>::value, void>::type f(T, Args...) {}
+
+int main() {
+    f<1>(1);
+}
Index: gcc/testsuite/g++.dg/cpp0x/initlist-pure.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/initlist-pure.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/initlist-pure.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,25 @@
+// PR c++/54325
+// { dg-options -std=c++11 }
+
+class Base {
+public:
+  Base() {};
+  virtual ~Base() {};
+
+  virtual void do_stuff() = 0;
+};
+
+class Derived: public Base {
+public:
+  Derived() : Base{} {};
+  virtual ~Derived() {};
+
+  virtual void do_stuff() {};
+};
+
+int
+main() {
+  Derived d;
+
+  return 0;
+}
Index: gcc/testsuite/g++.dg/torture/pr54902.C
===================================================================
--- gcc/testsuite/g++.dg/torture/pr54902.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/torture/pr54902.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,131 @@
+// { dg-do compile }
+
+namespace std __attribute__ ((__visibility__ ("default"))) {
+    template<typename _Iterator>     struct iterator_traits     {
+    };
+    template<typename _Tp>     struct iterator_traits<_Tp*>     {
+	typedef _Tp& reference;
+    };
+}
+namespace __gnu_cxx __attribute__ ((__visibility__ ("default"))) {
+    using std::iterator_traits;
+    template<typename _Iterator, typename _Container>     class __normal_iterator     {
+	_Iterator _M_current;
+	typedef iterator_traits<_Iterator> __traits_type;
+    public:
+	typedef typename __traits_type::reference reference;
+	explicit       __normal_iterator(const _Iterator& __i) : _M_current(__i) {
+	}
+	reference       operator*() const       {
+	    return *_M_current;
+	}
+	__normal_iterator       operator++(int)       {
+	    return __normal_iterator(_M_current++);
+	}
+    };
+    template<typename _Tp>     class new_allocator     {
+    public:
+	typedef _Tp* pointer;
+	template<typename _Tp1>         struct rebind         {
+	    typedef new_allocator<_Tp1> other;
+	};
+    };
+}
+namespace std __attribute__ ((__visibility__ ("default"))) {
+    template<typename _Tp>     class allocator: public __gnu_cxx::new_allocator<_Tp>     {
+    };
+}
+namespace __gnu_cxx __attribute__ ((__visibility__ ("default"))) {
+    template<typename _Alloc>   struct __alloc_traits   {
+	typedef typename _Alloc::pointer pointer;
+	template<typename _Tp>       struct rebind       {
+	    typedef typename _Alloc::template rebind<_Tp>::other other;
+	};
+    };
+}
+namespace std __attribute__ ((__visibility__ ("default"))) {
+    template<typename _Tp, typename _Alloc>     struct _Vector_base     {
+	typedef typename __gnu_cxx::__alloc_traits<_Alloc>::template         rebind<_Tp>::other _Tp_alloc_type;
+	typedef typename __gnu_cxx::__alloc_traits<_Tp_alloc_type>::pointer         pointer;
+	struct _Vector_impl       : public _Tp_alloc_type       {
+	    pointer _M_start;
+	};
+	_Vector_impl _M_impl;
+    };
+    template<typename _Tp, typename _Alloc = std::allocator<_Tp> >     class vector : protected _Vector_base<_Tp, _Alloc>     {
+	typedef _Vector_base<_Tp, _Alloc> _Base;
+    public:
+	typedef typename _Base::pointer pointer;
+	typedef __gnu_cxx::__normal_iterator<pointer, vector> iterator;
+	iterator       begin()       {
+	    return iterator(this->_M_impl._M_start);
+	}
+    };
+}
+class myServer {
+    static std::vector<myServer *> server_list;
+    class Callback;
+    class myFolder *currentFolder;
+    static bool eventloop(Callback *);
+};
+extern "C" {
+    typedef unsigned int uint32_t;
+    typedef uint32_t unicode_char;
+    extern int strcmp (__const char *__s1, __const char *__s2)      throw () __attribute__ ((__pure__)) __attribute__ ((__nonnull__ (1, 2)));
+};
+class CursesObj {
+};
+class Curses : public CursesObj {
+public:
+    class Key {
+    public:
+	unicode_char ukey;
+	const char *keycode;
+	Key(unicode_char ch) : ukey(ch), keycode(0) {
+	}
+	bool plain() const {
+	}
+	bool nokey() const {
+	}
+	bool operator==(const Key &k) const   {
+	    return strcmp(keycode ? keycode:
+			  "",           k.keycode ? k.keycode:
+			  "") == 0 &&     ukey == k.ukey;
+	}
+    };
+    static bool processKey(const Key &k);
+};
+class CursesContainer : public Curses {
+};
+class myFolder {
+public:
+    void checkExpunged();
+};
+class Typeahead {
+public:
+    static Typeahead *typeahead;
+    bool empty()  {
+    }
+    Curses::Key pop()  {
+    }
+};
+class CursesScreen : public CursesContainer {
+public:
+    Key getKey();
+};
+using namespace std;
+extern CursesScreen *cursesScreen;
+bool myServer::eventloop(myServer::Callback *callback) {
+    Curses::Key k1=    (callback == __null && !Typeahead::typeahead->empty()     ? Typeahead::typeahead->pop()     : cursesScreen->getKey());
+    if (callback == __null || (k1.plain() && k1.ukey == '\x03'))   {
+	if (!k1.nokey())    {
+	    bool rc=Curses::processKey(k1);
+	    if (rc)     {      while (k1.plain() && k1 == '\x03' &&             !Typeahead::typeahead->empty())       Typeahead::typeahead->pop();     }
+	}
+    }
+    vector<myServer *>::iterator b=server_list.begin();
+    while (1)   {
+	myServer *p= *b++;
+	if (p->currentFolder)     p->currentFolder->checkExpunged();
+    }
+}
Index: gcc/testsuite/g++.dg/torture/20121105-1.C
===================================================================
--- gcc/testsuite/g++.dg/torture/20121105-1.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/torture/20121105-1.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,42 @@
+// PR tree-optimization/54986
+// Reported by Remi Vanicat <vanicat@debian.org>
+// Reduced testcase by Markus Trippelsdorf <markus@trippelsdorf.de> 
+
+struct A;
+struct B
+{
+  int *_ptr;
+  bool operator==(B *p1)
+  {
+    return p1->_ptr;
+  }
+};
+struct C {
+  A* ref_SYMBptr();
+};
+struct A
+{
+  B sommet;
+};
+typedef C *gen_op_context;
+struct D
+{
+  D(gen_op_context) {}
+};
+
+D c(0);
+const long d = (long)&c;
+B *const   e = (B *)&d;
+
+static bool
+fn1(C& p1)
+{
+  return p1.ref_SYMBptr()->sommet == e;
+}
+
+void
+fn2()
+{
+  C b;
+  fn1(b);
+}
Index: gcc/testsuite/g++.dg/torture/pr54563.C
===================================================================
--- gcc/testsuite/g++.dg/torture/pr54563.C	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/torture/pr54563.C	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,14 @@
+// PR tree-optimization/54563
+// { dg-do compile }
+
+extern "C" float powf (float, float);
+struct S { ~S (); };
+double bar ();
+double x;
+
+void
+foo ()
+{
+  S s;
+  x = powf (bar (), 2.);
+}
